         ORG 26648         ;ORIGINALMENTE 25300

; ASM source file created by SevenuP v1.12
; SevenuP (C) Copyright 2002-2004 by Jaime Tejedor Gmez, aka Metalbrain

;#############################
; DATOS DEL MENU DE JINJ
;#############################

JINJMENU INCBIN "jinjmenu.pck"

; aPPack decompressor
; original source by dwedit
; very slightly adapted by utopian
; optimized by Metalbrain

;hl = source
;de = dest

depack:         ld      ixl,128
apbranch1:      ldi
aploop0:        ld      ixh,1           ;LWM = 0
aploop:         call    ap_getbit
               jr      nc,apbranch1
               call    ap_getbit
               jr      nc,apbranch2
               call    ap_getbit
               jr      nc,apbranch3

               ld      bc,16           ;get an offset
apget4bits:     call    ap_getbit
               rl      c
               jr      nc,apget4bits
               jr      nz,apbranch4
               ld      a,b
apwritebyte:    ld      (de),a          ;write a 0
               inc     de
               jr      aploop0
apbranch4:      and     a
               ex      de,hl           ;write a previous byte (1-15 away from dest)
               sbc     hl,bc
               ld      a,(hl)
               add     hl,bc
               ex      de,hl
               jr      apwritebyte
apbranch3:      ld      c,(hl)          ;use 7 bit offset, length = 2 or 3
               inc     hl
               rr      c
               ret     z               ;if a zero is encountered here, it's EOF
               ld      a,2
               ld      b,0
               adc     a,b
               push    hl
               ld      iyh,b
               ld      iyl,c
               ld      h,d
               ld      l,e
               sbc     hl,bc
               ld      c,a
               jr      ap_finishup2
apbranch2:      call    ap_getgamma     ;use a gamma code * 256 for offset, another gamma code for length
               dec     c
               ld      a,c
               sub     ixh
               jr      z,ap_r0_gamma           ;if gamma code is 2, use old r0 offset,
               dec     a
               ;do I even need this code?
               ;bc=bc*256+(hl), lazy 16bit way
               ld      b,a
               ld      c,(hl)
               inc     hl
               ld      iyh,b
               ld      iyl,c

               push    bc

               call    ap_getgamma

               ex      (sp),hl         ;bc = len, hl=offs
               push    de
               ex      de,hl

               ld      a,4
               cp      d
               jr      nc,apskip2
               inc     bc
               or      a
apskip2:        ld      hl,127
               sbc     hl,de
               jr      c,apskip3
               inc     bc
               inc     bc
apskip3:        pop     hl              ;bc = len, de = offs, hl=junk
               push    hl
               or      a
ap_finishup:    sbc     hl,de
               pop     de              ;hl=dest-offs, bc=len, de = dest
ap_finishup2:   ldir
               pop     hl
               ld      ixh,b
               jr      aploop

ap_r0_gamma:    call    ap_getgamma             ;and a new gamma code for length
               push    hl
               push    de
               ex      de,hl

               ld      d,iyh
               ld      e,iyl
               jr      ap_finishup


ap_getbit:      ld      a,ixl
               add     a,a
               ld      ixl,a
               ret     nz
               ld      a,(hl)
               inc     hl
               rla
               ld      ixl,a
               ret

ap_getgamma:    ld      bc,1
ap_getgammaloop:call    ap_getbit
               rl      c
               rl      b
               call    ap_getbit
               jr      c,ap_getgammaloop
               ret

;GRAPHIC DATA:
;Pixel Size:      (128, 112)
;Char Size:       ( 16,  14)

; TV JINJ

TVJINJ	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0, 63,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,240
	DEFB	  0,101,128,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  3,152
	DEFB	  0, 68,112,  0,  0,  0,  0, 15
	DEFB	240,  0,  0,  0,  0,  0, 31,  8
	DEFB	  0,204, 31,255,255,  0,  0, 63
	DEFB	252,  0,  0,  0,  0, 63,241, 24
	DEFB	  0,136,  0,  0,  1,192,  0,127
	DEFB	235,  0,  0,  0,  7,224,  0,240

	DEFB	  0,248,  0,  0,  0,112,  0,255
	DEFB	245,192,  0,  3,248,  0,  0,  0
	DEFB	  0, 48,  0,  0,  0, 28,  3,255
	DEFB	234,160,  1,252,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  6,  7,255
	DEFB	213, 80, 14,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  3, 15,255
	DEFB	234,168,112,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0, 63,255
	DEFB	245, 92, 64,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,127,255
	DEFB	250,234,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,127,128
	DEFB	255,245,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,120,  0
	DEFB	  0, 27,  0,  0,  0,  0,  0,  0

	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0, 15,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255,252
	DEFB	  0, 31,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255,250
	DEFB	  0, 63,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255,246
	DEFB	  0,127,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255,238
	DEFB	  0,255,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255,222
	DEFB	  1,255,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255,190
	DEFB	  3,255,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255,126

	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,126
	DEFB	  3,232,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,252,126
	DEFB	  3,209,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  2,126
	DEFB	  3,226,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126
	DEFB	  3,210,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126
	DEFB	  3,226,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126
	DEFB	  3,210,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126
	DEFB	  3,226,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126

	DEFB	  3,210,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126
	DEFB	  3,226,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126
	DEFB	  3,210,  0,  5, 96,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126
	DEFB	  3,226,  0, 10,240,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126
	DEFB	  3,210,  0,  5,240,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126
	DEFB	  3,226,  0, 11,248,  0,  0,  0
	DEFB	  0,  0,  2, 32,192,  0,  1,126
	DEFB	  3,210,  0, 23,248,  0,  0,  0
	DEFB	  0,  0,  5,209, 96,  0,  1,126
	DEFB	  3,226,  0, 15,252,  0,  0,  0
	DEFB	  0,  0,  8, 10,188,  0,  1,126

	DEFB	  3,210,  1, 87,255,128,  0,  0
	DEFB	  0,  0, 23,199,106,  0,  1,126
	DEFB	  3,226,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0, 47,226,214,  0,  1,126
	DEFB	  3,210, 21,127,255,248,  0,  0
	DEFB	  0,  0, 43,163,170,  0,  1,126
	DEFB	  3,226, 34,119,119,116,  0,  0
	DEFB	  0,  0, 43,162,212,  0,  1,126
	DEFB	  3,210,  8, 34, 34, 36,  0,  0
	DEFB	  0,  0, 43,163,168,  0,  1,126
	DEFB	  3,226, 35,119,119,116,  0,  0
	DEFB	  0,  0, 47,224,208,  0,  1,126
	DEFB	  3,210, 23,119,119,124,  0,  0
	DEFB	  0,  0, 44,195, 96,  0,  1,126
	DEFB	  3,226, 15,255,255,248,  0,  0
	DEFB	  0,  0, 39,219, 64,  0,  1,126

	DEFB	  3,210,  0,183,239,128,  0,  0
	DEFB	  0,  0, 40, 24,128,  0,  1,126
	DEFB	  3,226,  1, 99,199,128,  0,  0
	DEFB	  0,  0, 33, 67,  0,  0,  1,126
	DEFB	  3,210,  0,227,199,128,  0,  0
	DEFB	  0,  0, 25, 84,  0,  0,  1,126
	DEFB	  3,226,  1, 99,199,128,  0,  0
	DEFB	  0,  0,  4,  4,  0,  0,  1,126
	DEFB	  3,210,  0,247,239,128,  0,  0
	DEFB	  0,  0,  4,  4,  0,  0,  1,126
	DEFB	  3,226,  1,125,191,128,  0,  0
	DEFB	  0,  0,  4,  4,  0,  0,  1,126
	DEFB	  3,210,  0,253,191,  0,  0,  0
	DEFB	  0,  0,  2,100,  0,  0,  1,126
	DEFB	  3,226,  0, 31,248,  0,  0,  0
	DEFB	  0,  0,  4, 68,  0,  0,  1,126

	DEFB	  3,210,  0, 48, 12,  3,252,  0
	DEFB	  0,  0,  0,  0,  0,  0,  1,126
	DEFB	  3,226,  0, 42,164, 12,  3,240
	DEFB	  0,  0,  0,  0,  0,  0,  1, 78
	DEFB	  3,210,  0, 32,  4, 19,252,  8
	DEFB	  0,  0,  0,  0,  0,  0,  1, 86
	DEFB	  3,226,  0, 42,164, 19,252, 12
	DEFB	  0,  0,  0,  0,  0,  0,  1, 90
	DEFB	 11,210,  0, 16,  8, 19,252,242
	DEFB	  0,  0,  0,  0,  0,  0,  1, 85
	DEFB	 11,226,  0, 31,248, 19,252,243
	DEFB	192,  0,  0,  0,  0,  0,  1, 85
	DEFB	 11,210,  0,  0,  0, 12,  0,  0
	DEFB	 32,  0,  0,  0,  0,  0,  1, 85
	DEFB	 11,226,  0,  0,  0,  4,  0,  0
	DEFB	 48,  0,  0,  0,  0,  0,  1, 85

	DEFB	 11,210,  0,  0,  0,  4,240,255
	DEFB	200,  0,  0,  0,  0,  0,  1, 85
	DEFB	 11,226,  0,  0,  0,124,240,255
	DEFB	204,  0,  0,  0,252, 15,  1, 85
	DEFB	 11,210,  0,  2,128, 64,240,  0
	DEFB	  2,  0,  0,  1,  2, 16,  1, 85
	DEFB	 11,226,  0,  5, 64, 64,240,  0
	DEFB	  3,  0,  0,  6,253,150,  1, 85
	DEFB	 11,210,  0,  2,168, 48,243,207
	DEFB	204,  0,  0,  8, 48, 86,  1, 85
	DEFB	  3,226,  0,  3, 88, 48,243,207
	DEFB	204,  0,  0, 16,  0, 54,  1, 90
	DEFB	  3,210,  0,  0,220, 76,243,207
	DEFB	192,  0,  0,103,207,150,  1, 86
	DEFB	  3,226,  0,  7,252, 76,243,207
	DEFB	192,  0,  0,142,253,198,  1, 78

	DEFB	  3,210, 12, 63,254, 76,243,255
	DEFB	192,  0,  0,141,254,198,  1,126
	DEFB	  3,226, 54, 57,254, 76,243,255
	DEFB	192,  0,  0,141,254,198,  1,126
	DEFB	  3,210, 24,113,254,112,243,  3
	DEFB	195,  0,  0, 77,254,198,  1,126
	DEFB	  3,226, 68,241,247, 16,243,  3
	DEFB	194,  0,  0,167,135,150,  1,126
	DEFB	  3,210,231,248,240, 12,240,  0
	DEFB	 60,  0,  0,160,  0, 22,  1,126
	DEFB	  3,226,103,127,236,  4,240,  0
	DEFB	 32,  0,  0, 72,252, 70,  1,126
	DEFB	  3,210,127,255,214,  4,207,252
	DEFB	192,  0,  0, 47,183,214,  1,126
	DEFB	  3,226, 63,190, 42, 12,207,252
	DEFB	128,  0,  0, 23,207,182,  1,126

	DEFB	  3,210, 57,128, 52, 19,255,252
	DEFB	128,  0,  0, 23,255,182,  1,126
	DEFB	  3,226, 24,128, 16, 19,255,252
	DEFB	128,  0,  0, 11,192, 14,  1,126
	DEFB	  3,210, 24,192,  0, 19,255,252
	DEFB	128,  0,  0, 22, 29,253,  1,126
	DEFB	  3,226, 25, 96,  0, 19,255,252
	DEFB	128,  0,  0, 21,192,  2,  1,126
	DEFB	  3,210,  9,128,  0, 28,  0,  3
	DEFB	  0,  0,  0, 11,255,124,  1,126
	DEFB	  3,226,  0,  0,  0,  4,  0,  2
	DEFB	  0,  0,  0,  5,254,128,  1,126
	DEFB	  3,210,  0,  0,  0,  3,  0, 12
	DEFB	  0,  0,  0,  2,  1,  0,  1,126
	DEFB	  3,226,  0,  0,  0,  1,  0,  8
	DEFB	  0,  0,  0,  1,254,  0,  1,126

	DEFB	  3,225,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  2,126
	DEFB	  3,208,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,252,126
	DEFB	  3,232,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,126
	DEFB	  3,212,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,126
	DEFB	  3,234,170,170,170,170,170,170
	DEFB	170,170,170,170,170,170,170,126
	DEFB	  3,245, 85, 85, 85, 85, 85, 85
	DEFB	 85, 85, 85, 85, 85, 85, 85,126
	DEFB	  3,255,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255,124
	DEFB	  3,255,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255,122

	DEFB	  3,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,118
	DEFB	  2,255,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255,102
	DEFB	  1,255,255,255,255,255,255,255
	DEFB	255,255,255,255,255,255,255, 68
	DEFB	  0,  0,  2,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0, 52,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0, 44,  0
	DEFB	  0, 52,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0, 44,  0
	DEFB	  0, 52,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0, 44,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0

	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	130, 32,  0, 20,  0,  0,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	135,112,  0, 40,  0,  0,  1,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0
	DEFB	130, 33,200, 83, 51, 78, 75,140
	DEFB	 51, 52,151,153,140, 25,154,  0
	DEFB	226, 33, 32,164, 74,169, 73, 30
	DEFB	 71,170,145, 37, 94, 34, 85,  0
	DEFB	146, 33, 33, 68, 74, 41, 73, 16
	DEFB	 68, 34,146, 37, 80, 34, 81,  0
	DEFB	145,153,202,131, 50, 46, 48,204
	DEFB	 67, 34,103,153, 76,153,145,  0
	DEFB	  0,  1,  0,  0,  0,  8,  0,  0
	DEFB	  0,  0,  0,  0,  0,  0,  0,  0



; (Attributes here, insert label if needed)

	DEFB	  0,  6,  6,  6,  6,  6,  4,  4
	DEFB	  4,  4,  0,  0,  6,  6,  6,  6
	DEFB	  0,  6,  0,  0,  0,  6,  4,  4
	DEFB	  4,  4,  6,  6,  6,  0,  0,  0
	DEFB	  2,  2,  2,  2,  2,  2,  2,  2
	DEFB	  2,  2,  2,  2,  2,  2,  2,  2
	DEFB	  2,  3,  3,  3,  3,  3,  3,  3
	DEFB	  3,  3,  3,  3,  3,  3,  3,  2
	DEFB	  2,  3,  3, 68, 68,  0,  3,  3
	DEFB	  3,  3, 70, 70,  6,  0,  3,  2
	DEFB	  2,  3, 68, 68, 68, 68,  0,  0
	DEFB	  0,  0, 70, 70,  6,  0,  3,  2
	DEFB	  2,  3, 71, 71, 71, 71,  0,  0
	DEFB	  0,  0,  6,  6, 70,  0,  3,  2
	DEFB	  2,  3,  0, 71, 71, 71, 71, 71
	DEFB	 71,  0,  0,  0,  0,  0,  3,  2
	DEFB	  2,  3,  0,  3,  3, 71, 71, 71
	DEFB	 71,  0,  0, 69, 69, 69,  3,  2
	DEFB	  2,  3,  3,  3,  3, 71, 71, 71
	DEFB	 71,  0,  0, 69, 69, 69,  3,  2
	DEFB	  2,  3,  3,  3,  3, 71, 71, 71
	DEFB	 71,  0,  0, 69, 69, 69,  3,  2
	DEFB	  2,  3,  3,  3,  3,  3,  3,  3
	DEFB	  3,  3,  3,  3,  3,  3,  3,  2
	DEFB	  2,  2,  2,  2,  2,  2,  2,  2
	DEFB	  2,  2,  2,  2,  2,  2,  2,  2
	DEFB	  7,  7,  7,  7,  7,  7,  7,  7
	DEFB	  7,  7,  7,  7,  7,  7,  7,  2
